plot.stamCV {stam} | R Documentation

## Plots for StAM Cross Validation

### Description

Plots performance and redundancy as well as number of remaining nodes and genes for a cross validation in structured analysis of microarray data.

### Usage

    ## S3 method for class 'stamCV':
    plot(x, outfile = NULL, aclass = NULL, delta = NULL,
                main = NULL, which = 0, res = 72, ps = FALSE,
                pointsize = 16, ...)

### Arguments

`x` | the object of type stamCV for which the plots are to be drawn
`outfile` | name of output file if postscript or PNG graphics is to be generated. The extension of the file is chosen automatically according to the `ps` argument. If no outfile is specified, an interactive plot is attempted
`aclass` | the name of the phenotype class of interest, usually the disease class
`which` | choose the plot to be generated. 1:performance plot, 2:genes/nodes plot, 0:both plots in interactive mode, non otherwise.
`delta` | if a delta is provided, vertical lines are added accordingly
`main` | the main title of the plot, generated automatically if left blank
`res` | resolution in points per inch
`ps` | if set to TRUE postscript output is generated
`pointsize` | the standard fontsize
`...` | additional arguments to be passed to plot

### Details

This function generates two plots. The first one plots the root error rate, its performance and the graph redundancy versus the shrinkage level. The second plot depicts the number of remaining nodes and remaining accessible probesets for each shrinkage candidate.

### Author(s)

Claudio Lottaz

### See Also

`stam.cv`

[Package stam version 1.8.0 Index]